*** src/backend/port/dynloader/univel.c.orig	Fri Jan 30 17:24:36 1998
--- src/backend/port/dynloader/univel.c	Fri Jan 30 17:21:58 1998
***************
*** 0 ****
--- 1,4 ----
+ /* Dummy file used for nothing at this point
+  *
+  * see univel.h
+  */
*** src/backend/port/dynloader/univel.h.orig	Fri Jan 30 17:24:36 1998
--- src/backend/port/dynloader/univel.h	Fri Jan 30 17:21:58 1998
***************
*** 0 ****
--- 1,34 ----
+ /*-------------------------------------------------------------------------
+  *
+  * port-protos.h--
+  *	  port-specific prototypes for Intel x86/UNIXWARE
+  *
+  *
+  * Copyright (c) 1994, Regents of the University of California
+  *
+  * port-protos.h,v 1.2 1995/03/17 06:40:18 andrew Exp
+  *
+  *-------------------------------------------------------------------------
+  */
+ #ifndef PORT_PROTOS_H
+ #define PORT_PROTOS_H
+ 
+ #include <dlfcn.h>
+ #include "fmgr.h"				/* for func_ptr */
+ #include "utils/dynamic_loader.h"
+ 
+ /* dynloader.c */
+ /*
+  * Dynamic Loader on Intel x86/Intel SVR4.
+  *
+  * this dynamic loader uses the system dynamic loading interface for shared
+  * libraries (ie. dlopen/dlsym/dlclose). The user must specify a shared
+  * library as the file to be dynamically loaded.
+  *
+  */
+ #define pg_dlopen(f)	dlopen(f,RTLD_LAZY)
+ #define pg_dlsym		dlsym
+ #define pg_dlclose		dlclose
+ #define pg_dlerror		dlerror
+ 
+ #endif							/* PORT_PROTOS_H */
*** src/include/parser/parse_node.h.orig	Fri Jan 30 19:04:25 1998
--- src/include/parser/parse_node.h	Fri Jan 30 19:04:58 1998
***************
*** 28,34 ****
  /* state information used during parse analysis */
  typedef struct ParseState
  {
- 	struct 		ParseState;
  	int			p_last_resno;
  	List	   *p_rtable;
  	List	   *p_insert_columns;
--- 28,33 ----
*** src/include/port/univel.h.orig	Sat Jan 31 01:59:49 1998
--- src/include/port/univel.h	Sat Jan 31 02:02:12 1998
***************
*** 11,16 ****
--- 11,21 ----
  							\***************************************/
  typedef unsigned char slock_t;
  
+ /***************************************************************\
+ | strcasecmp() is in c89, but is not in any include file :-(	|
+ \***************************************************************/
+ int strcasecmp(char *, char *);
+ 
  #ifndef			BIG_ENDIAN
  #define			BIG_ENDIAN		4321
  #endif
*** src/template/univel.orig	Fri Jan 30 17:21:28 1998
--- src/template/univel	Sat Jan 31 01:12:42 1998
***************
*** 1,10 ****
  AROPT:crs
! CFLAGS:-I$(SRCDIR)/backend/port/univel -Xa -v -DHAVE_RUSAGE -O -K i486,host,inline,loop_unroll -Dsvr4
  SHARED_LIB:-K PIC
  SRCH_INC:
  SRCH_LIB:
  USE_LOCALE:no
  DLSUFFIX:.so
  YFLAGS:-d
- YACC:yacc
  CC:cc
--- 1,11 ----
  AROPT:crs
! CFLAGS:-Xa -v -O -K i486,host,inline,loop_unroll -Dsvr4
  SHARED_LIB:-K PIC
  SRCH_INC:
  SRCH_LIB:
  USE_LOCALE:no
  DLSUFFIX:.so
+ YACC=/usr/ccs/bin/yacc
  YFLAGS:-d
  CC:cc
+ LIBS:-lc89
*** src/configure.orig	Fri Jan 30 17:20:40 1998
--- src/configure	Fri Jan 30 17:21:58 1998
***************
*** 695,700 ****
--- 695,701 ----
  YACC=`grep '^YACC:' $TEMPLATE | awk -F: '{print $2}'`
  YFLAGS=`grep '^YFLAGS:' $TEMPLATE | awk -F: '{print $2}'`
  CC=`grep '^CC:' $TEMPLATE | awk -F: '{print $2}'`
+ LIBS=`grep '^LIBS:' $TEMPLATE | awk -F: '{print $2}'`
  
  
  echo "**************************************************************"
*** src/configure.in.orig	Fri Jan 30 17:20:52 1998
--- src/configure.in	Fri Jan 30 17:23:42 1998
***************
*** 133,138 ****
--- 133,139 ----
  YACC=`grep '^YACC:' $TEMPLATE | awk -F: '{print $2}'`
  YFLAGS=`grep '^YFLAGS:' $TEMPLATE | awk -F: '{print $2}'`
  CC=`grep '^CC:' $TEMPLATE | awk -F: '{print $2}'`
+ LIBS=`grep '^LIBS:' $TEMPLATE | awk -F: '{print $2}'`
  
  
  dnl We now need to check for additional directories (include
